# HG changeset patch
# Node ID c5c5cf3137a2
# Parent  988a1c353704
diff --git a/libpurple/account.c b/libpurple/account.c
--- a/libpurple/account.c
+++ b/libpurple/account.c
@@ -21,8 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "accounts.h"
 #include "core.h"
 #include "debug.h"
diff --git a/libpurple/accounts.c b/libpurple/accounts.c
--- a/libpurple/accounts.c
+++ b/libpurple/accounts.c
@@ -21,7 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "accounts.h"
 #include "core.h"
 #include "debug.h"
diff --git a/libpurple/blistnode.c b/libpurple/blistnode.c
--- a/libpurple/blistnode.c
+++ b/libpurple/blistnode.c
@@ -20,7 +20,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  *
  */
-#include "internal.h"
 
 #include "blistnode.h"
 #include "buddy.h"
diff --git a/libpurple/buddy.c b/libpurple/buddy.c
--- a/libpurple/buddy.c
+++ b/libpurple/buddy.c
@@ -23,7 +23,6 @@
 #include "buddy.h"
 
 #include "debug.h"
-#include "internal.h"
 #include "purplebuddypresence.h"
 #include "purpleconversationmanager.h"
 #include "purpleprotocolclient.h"
diff --git a/libpurple/buddyicon.c b/libpurple/buddyicon.c
--- a/libpurple/buddyicon.c
+++ b/libpurple/buddyicon.c
@@ -19,7 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
 #include "buddyicon.h"
 #include "debug.h"
 #include "image.h"
diff --git a/libpurple/buddylist.c b/libpurple/buddylist.c
--- a/libpurple/buddylist.c
+++ b/libpurple/buddylist.c
@@ -23,7 +23,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "account.h"
 #include "buddylist.h"
 #include "debug.h"
diff --git a/libpurple/chat.c b/libpurple/chat.c
--- a/libpurple/chat.c
+++ b/libpurple/chat.c
@@ -20,7 +20,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  *
  */
-#include "internal.h"
 #include "chat.h"
 #include "purpleprotocolchat.h"
 #include "util.h"
diff --git a/libpurple/circularbuffer.c b/libpurple/circularbuffer.c
--- a/libpurple/circularbuffer.c
+++ b/libpurple/circularbuffer.c
@@ -16,7 +16,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
 
 #include "circularbuffer.h"
 
diff --git a/libpurple/cmds.c b/libpurple/cmds.c
--- a/libpurple/cmds.c
+++ b/libpurple/cmds.c
@@ -16,8 +16,6 @@
  *
  */
 
-#include "internal.h"
-
 #include "account.h"
 #include "purplemarkup.h"
 #include "cmds.h"
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -21,8 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "account.h"
 #include "buddylist.h"
 #include "connection.h"
diff --git a/libpurple/contact.c b/libpurple/contact.c
--- a/libpurple/contact.c
+++ b/libpurple/contact.c
@@ -22,7 +22,6 @@
  */
 
 #include "contact.h"
-#include "internal.h" /* TODO: this needs to die */
 #include "purplebuddypresence.h"
 #include "purpleconversationmanager.h"
 #include "purpleprivate.h"
diff --git a/libpurple/conversations.c b/libpurple/conversations.c
--- a/libpurple/conversations.c
+++ b/libpurple/conversations.c
@@ -19,7 +19,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
 
 #include "conversations.h"
 #include "purpleprivate.h"
diff --git a/libpurple/core.c b/libpurple/core.c
--- a/libpurple/core.c
+++ b/libpurple/core.c
@@ -23,7 +23,10 @@
 #define G_SETTINGS_ENABLE_BACKEND
 #include <gio/gsettingsbackend.h>
 
-#include "internal.h"
+#ifdef HAVE_CONFIG_H
+# include <config.h>
+#endif /* HAVE_CONFIG_H */
+
 #include "cmds.h"
 #include "connection.h"
 #include "conversations.h"
diff --git a/libpurple/countingnode.c b/libpurple/countingnode.c
--- a/libpurple/countingnode.c
+++ b/libpurple/countingnode.c
@@ -20,7 +20,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  *
  */
-#include "internal.h"
 #include "countingnode.h"
 
 typedef struct _PurpleCountingNodePrivate  PurpleCountingNodePrivate;
diff --git a/libpurple/eventloop.c b/libpurple/eventloop.c
--- a/libpurple/eventloop.c
+++ b/libpurple/eventloop.c
@@ -18,7 +18,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
+
+#include <unistd.h>
+
 #include "eventloop.h"
 
 #define PURPLE_GLIB_READ_COND  (G_IO_IN | G_IO_HUP | G_IO_ERR)
diff --git a/libpurple/group.c b/libpurple/group.c
--- a/libpurple/group.c
+++ b/libpurple/group.c
@@ -24,7 +24,6 @@
 #include "group.h"
 
 #include "debug.h"
-#include "internal.h" /* TODO: we need to kill this */
 #include "purpleprivate.h"
 #include "purpleprotocolserver.h"
 
diff --git a/libpurple/image.c b/libpurple/image.c
--- a/libpurple/image.c
+++ b/libpurple/image.c
@@ -19,8 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
-
 #include "debug.h"
 #include "image.h"
 #include "util.h"
diff --git a/libpurple/media.c b/libpurple/media.c
--- a/libpurple/media.c
+++ b/libpurple/media.c
@@ -18,8 +18,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
-
 #include "account.h"
 #include "media.h"
 #include "media/backend-iface.h"
diff --git a/libpurple/media/backend-iface.c b/libpurple/media/backend-iface.c
--- a/libpurple/media/backend-iface.c
+++ b/libpurple/media/backend-iface.c
@@ -19,8 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
-
 #include "backend-iface.h"
 
 enum {
diff --git a/libpurple/media/codec.c b/libpurple/media/codec.c
--- a/libpurple/media/codec.c
+++ b/libpurple/media/codec.c
@@ -19,7 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
 #include "codec.h"
 
 struct _PurpleMediaCodec
diff --git a/libpurple/mediamanager.c b/libpurple/mediamanager.c
--- a/libpurple/mediamanager.c
+++ b/libpurple/mediamanager.c
@@ -21,8 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "account.h"
 #include "debug.h"
 #include "glibcompat.h"
diff --git a/libpurple/notify.c b/libpurple/notify.c
--- a/libpurple/notify.c
+++ b/libpurple/notify.c
@@ -19,7 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
 #include "notify.h"
 
 static PurpleNotifyUiOps *notify_ui_ops = NULL;
diff --git a/libpurple/pluginpref.c b/libpurple/pluginpref.c
--- a/libpurple/pluginpref.c
+++ b/libpurple/pluginpref.c
@@ -21,8 +21,6 @@
  */
 #include <glib.h>
 
-#include "internal.h"
-
 #include "debug.h"
 #include "pluginpref.h"
 #include "prefs.h"
diff --git a/libpurple/plugins.c b/libpurple/plugins.c
--- a/libpurple/plugins.c
+++ b/libpurple/plugins.c
@@ -22,7 +22,9 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
+#ifdef HAVE_CONFIG_H
+# include <config.h>
+#endif /* HAVE_CONFIG_H */
 
 #include "core.h"
 #include "debug.h"
diff --git a/libpurple/prefs.c b/libpurple/prefs.c
--- a/libpurple/prefs.c
+++ b/libpurple/prefs.c
@@ -21,6 +21,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+# include <config.h>
+#endif /* HAVE_CONFIG_H */
+
 #include <string.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -28,8 +32,6 @@
 
 #include <glib.h>
 
-#include "internal.h"
-
 #include "prefs.h"
 #include "debug.h"
 #include "purplepath.h"
diff --git a/libpurple/protocols.c b/libpurple/protocols.c
--- a/libpurple/protocols.c
+++ b/libpurple/protocols.c
@@ -23,7 +23,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "debug.h"
 #include "network.h"
 #include "notify.h"
diff --git a/libpurple/proxy.c b/libpurple/proxy.c
--- a/libpurple/proxy.c
+++ b/libpurple/proxy.c
@@ -22,7 +22,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
diff --git a/libpurple/purpleaccountoption.c b/libpurple/purpleaccountoption.c
--- a/libpurple/purpleaccountoption.c
+++ b/libpurple/purpleaccountoption.c
@@ -18,7 +18,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
 
 #include "prefs.h"
 #include "purpleaccountoption.h"
diff --git a/libpurple/purpleconversation.c b/libpurple/purpleconversation.c
--- a/libpurple/purpleconversation.c
+++ b/libpurple/purpleconversation.c
@@ -22,8 +22,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "buddylist.h"
 #include "cmds.h"
 #include "conversations.h"
diff --git a/libpurple/purplegio.c b/libpurple/purplegio.c
--- a/libpurple/purplegio.c
+++ b/libpurple/purplegio.c
@@ -24,7 +24,6 @@
 #include "purplegio.h"
 
 #include "debug.h"
-#include "internal.h"
 #include "proxy.h"
 
 typedef struct {
diff --git a/libpurple/purplemessage.c b/libpurple/purplemessage.c
--- a/libpurple/purplemessage.c
+++ b/libpurple/purplemessage.c
@@ -22,8 +22,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "debug.h"
 #include "purpleenums.h"
 #include "purplemessage.h"
diff --git a/libpurple/purpleplugininfo.c b/libpurple/purpleplugininfo.c
--- a/libpurple/purpleplugininfo.c
+++ b/libpurple/purpleplugininfo.c
@@ -17,8 +17,6 @@
  */
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "core.h"
 #include "debug.h"
 #include "purpleenums.h"
diff --git a/libpurple/purplewhiteboard.c b/libpurple/purplewhiteboard.c
--- a/libpurple/purplewhiteboard.c
+++ b/libpurple/purplewhiteboard.c
@@ -21,7 +21,6 @@
  *
  */
 
-#include "internal.h"
 #include "purplewhiteboard.h"
 
 #include "purpleprotocol.h"
diff --git a/libpurple/queuedoutputstream.c b/libpurple/queuedoutputstream.c
--- a/libpurple/queuedoutputstream.c
+++ b/libpurple/queuedoutputstream.c
@@ -21,7 +21,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
 #include "queuedoutputstream.h"
 
 struct _PurpleQueuedOutputStream
diff --git a/libpurple/request.c b/libpurple/request.c
--- a/libpurple/request.c
+++ b/libpurple/request.c
@@ -21,8 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "glibcompat.h"
 #include "notify.h"
 #include "purplemarkup.h"
diff --git a/libpurple/roomlist.c b/libpurple/roomlist.c
--- a/libpurple/roomlist.c
+++ b/libpurple/roomlist.c
@@ -19,8 +19,6 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "internal.h"
-
 #include "account.h"
 #include "connection.h"
 #include "debug.h"
diff --git a/libpurple/savedstatuses.c b/libpurple/savedstatuses.c
--- a/libpurple/savedstatuses.c
+++ b/libpurple/savedstatuses.c
@@ -21,8 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
-
 #include "accounts.h"
 #include "debug.h"
 #include "idle.h"
diff --git a/libpurple/server.c b/libpurple/server.c
--- a/libpurple/server.c
+++ b/libpurple/server.c
@@ -25,7 +25,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "buddylist.h"
 #include "debug.h"
 #include "notify.h"
diff --git a/libpurple/signals.c b/libpurple/signals.c
--- a/libpurple/signals.c
+++ b/libpurple/signals.c
@@ -18,7 +18,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "internal.h"
 
 #include "debug.h"
 #include "signals.h"
diff --git a/libpurple/status.c b/libpurple/status.c
--- a/libpurple/status.c
+++ b/libpurple/status.c
@@ -21,7 +21,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "purpleprivate.h"
 
 #include "buddylist.h"
diff --git a/libpurple/upnp.c b/libpurple/upnp.c
--- a/libpurple/upnp.c
+++ b/libpurple/upnp.c
@@ -21,8 +21,6 @@
 #include <gio/gio.h>
 #include <libsoup/soup.h>
 
-#include "internal.h"
-
 #include "upnp.h"
 
 #include "glibcompat.h"
diff --git a/libpurple/xfer.c b/libpurple/xfer.c
--- a/libpurple/xfer.c
+++ b/libpurple/xfer.c
@@ -22,7 +22,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "glibcompat.h" /* for purple_g_stat on win32 */
 
 #include <glib/gstdio.h>
diff --git a/libpurple/xmlnode.c b/libpurple/xmlnode.c
--- a/libpurple/xmlnode.c
+++ b/libpurple/xmlnode.c
@@ -26,7 +26,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "internal.h"
 #include "debug.h"
 
 #include <libxml/parser.h>
